Subject: Make work with kernel 3.x and newer
Author: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Bug-Debian: https://bugs.debian.org/701674

--- a/files/internals/functions.apf
+++ b/files/internals/functions.apf
@@ -65,9 +65,10 @@
 ml() {
 MOD=$1
 VALMOD=$2
+KREL_MAJOR="${KREL%%.*}"
 if [ "$KREL" == "2.4" ]; then
 	MEXT="o"
-elif [ "$KREL" == "2.6" ]; then
+elif [ "$KREL" == "2.6" ] || [ "$KREL_MAJOR" -ge 3 ]; then
 	MEXT="ko"
 elif [ ! "$KREL" == "2.4" ] && [ ! "$KREL" == "2.6" ]; then
 	if [ ! "$SET_VERBOSE" == "1" ]; then
